Subject: Re: [PATCH] Support for relocatable kdump kernel

From: Mohan Kumar M <[email-masked]>
Date: Thu, 16 Oct 2008 16:03:12 +0530

Paul Mackerras wrote:
> Mohan Kumar M writes:
> 
>> Support for relocatable kdump kernel
> 
>> @@ -1401,9 +1414,21 @@ _STATIC(__after_prom_start)
>>  	beq	9f			/* have already put us at zero */
>>  	li	r6,0x100		/* Start offset, the first 0x100 */
>>  					/* bytes were copied earlier.	 */
>> -#ifdef CONFIG_RELOCATABLE
>> +
>> +#ifdef CONFIG_CRASH_DUMP
> 
> What tree is this patch against?  No tree that I can find has a line
> saying "#ifdef CONFIG_RELOCATABLE" at that point.  Or is there a
> prerequisite patch that I haven't seen yet?

Hi Paul,

My patch is based on your PATCH 5 of relocatable kernel patchset (which 
demonstrates kernel can be relocatable).

Do I need to resend the patch by generating the diff with your patch5 also?

Regards,
Mohan.